Subject: Re: bug#55045: [PATCH] update neovim to 0.7.0

From: Ludovic Courtès <[email-masked]>
Date: Fri, 29 Apr 2022 00:35:48 +0200

Hi,

Luis Henrique Gomes Higino <[email-masked]> skribis:

> I think you're right, but I'm somewhat unsure about updating libuv, as
> it would cause 13346 packages to be rebuilt 😟. According to the Guix
> manual, this would result in this patch having to be applied in the
> core-updates branch, which could delay neovim's update significantly.

What you can do is introduce a libuv variant for the version that neovim
needs, as long the lines of the first example at:

  https://guix.gnu.org/manual/devel/en/html_node/Defining-Package-Variants.html

HTH!

Ludo’.